> For the complete documentation index, see [llms.txt](https://docs.avonnicomponents.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avonnicomponents.com/experience-cloud/experience-cloud-ja/chtoriaru/general/expressions-for-aura-sites.md).

# Aura サイト向けの式

式を使用して、プロパティ値やその他の情報にアクセスし、コンポーネントの属性に渡すことができます。

式とは、1つの値に解決できるリテラル値、変数、部分式、または演算子の任意の組み合わせです。式内でメソッド呼び出しは使用できません。

式の構文は {!expression} です。ここで expression は式のプレースホルダーです。

これらの式は、認証済みユーザーの情報、データカテゴリに関連付けられた画像、またはサイトページ上のレコード情報を表示します。

| 式                                                                           | 表示内容                                                                                               |
| --------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| **`{!CurrentUser.name}`**                                                   | ユーザー詳細ページに表示される、ユーザーの名と姓を組み合わせた名前。                                                                 |
| **`{!CurrentUser.firstName}`**                                              | ユーザー編集ページに表示される、ユーザーの名。                                                                            |
| **`{!CurrentUser.lastName}`**                                               | ユーザー編集ページに表示される、ユーザーの姓。                                                                            |
| **`{!CurrentUser.userName}`**                                               | ユーザーのログイン名を定義する管理用フィールド。                                                                           |
| **`{!CurrentUser.id}`**                                                     | ユーザーの Salesforce ID。                                                                               |
| **`{!CurrentUser.email}`**                                                  | ユーザーのメールアドレス。                                                                                      |
| **`{!CurrentUser.communityNickname}`**                                      | サイトでユーザーを識別するために使用される名前。                                                                           |
| **`{!CurrentUser.accountId}`**                                              | ユーザーに関連付けられたアカウント ID。この式は、パートナーおよび顧客ユーザーには有効なアカウント ID を表示します。それ以外の場合は '000000000000000' を表示します。    |
| **`{!CurrentUser.effectiveAccountId}`**                                     | 有効アカウントに関連付けられたアカウント ID。この式は、パートナーおよび顧客ユーザーには有効なアカウント ID を表示します。それ以外の場合は '000000000000000' を表示します。 |
| **`{!Global.PathPrefix}/{!DataCategory.Name}.jpg`**                         | 検索コンポーネント内のデータカテゴリに関連付けられた画像。                                                                      |
| **`{!Global.PathPrefix}/<Name of the Subfolder>/{!DataCategory.Name}.jpg`** | 検索コンポーネント内のサブフォルダーにあるデータカテゴリに関連付けられた画像。                                                            |
| **`{!recordId}`**                                                           | オブジェクトページの15桁のレコード ID。                                                                             |
| **`{!term}`**                                                               | Aura ベースの標準検索ページで、HTML エンコードされた検索語句を返す式。                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.avonnicomponents.com/experience-cloud/experience-cloud-ja/chtoriaru/general/expressions-for-aura-sites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
